=== debian/control ===
Source: libheif
Section: libs
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Joachim Bauch <bauch@struktur.de>
Build-Depends: debhelper-compat (= 12),
               libaom-dev,
               libdav1d-dev,
               libde265-dev (>= 1.0.7),
               libgdk-pixbuf2.0-dev,
               libjpeg-dev,
               libpng-dev,
               libx265-dev,
               pkg-config
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: http://www.libheif.org
Vcs-Git: https://salsa.debian.org/multimedia-team/libheif.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/libheif

Package: libheif1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - shared library
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 This package contains the shared library.

Package: libheif-dev
Section: libdevel
Multi-Arch: same
Architecture: any
Depends: libaom-dev,
         libdav1d-dev,
         libde265-dev (>= 1.0.7),
         libheif1 (= ${binary:Version}),
         libx265-dev,
         ${misc:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - development files
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 The development headers for compiling programs that use libheif are provided
 by this package.

Package: libheif-examples
Section: video
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - examples
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 Sample applications using libheif are provided by this package.

Package: heif-thumbnailer
Section: graphics
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - thumbnailer
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A thumbnailer for HEIF images that can be used by Nautilus is provided by this
 package.

Package: heif-gdk-pixbuf
Section: graphics
Architecture: any
Depends: libheif1 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: ISO/IEC 23008-12:2017 HEIF file format decoder - gdk-pixbuf loader
 libheif is an ISO/IEC 23008-12:2017 HEIF file format decoder. HEIF is a new
 image file format employing HEVC (h.265) image coding for the best compression
 ratios currently possible.
 .
 A gdk-pixbuf loader module for applications such as "gpicview" and "pcmanfm"
 is provided by this package.
