## libheif 1.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required (VERSION 3.13)
 
-project(libheif LANGUAGES C CXX VERSION 1.11.0.0)
+project(libheif LANGUAGES C CXX VERSION 1.12.0.0)
 
 # https://cmake.org/cmake/help/v3.1/policy/CMP0054.html
 cmake_policy(SET CMP0054 NEW)
@@ -73,7 +73,7 @@
     find_package(Rav1e)
 endif ()
 
-option(WITH_DAV1D "Build dav1e decoder" ON)
+option(WITH_DAV1D "Build dav1d decoder" ON)
 if (WITH_DAV1D)
     find_package(Dav1d)
 endif ()
