=== debian/rules ===
--- 
+++ 
@@ -12,12 +12,12 @@
 COUNT_SINCE_LAST_TAG=$$(git rev-list $(LAST_TAG).. --count)
 BASENAME=$(PKG)_$(VER)+$(COUNT_SINCE_LAST_TAG)+git$(COMMIT)
 
-%:
-	dh $@
-
 # MX don't need no stinkin' dbgsyms
 override_dh_strip:
 	dh_strip --no-automatic-dbgsym
+
+%:
+	dh $@
 
 UURL = git://github.com/strukturag/libheif.git
 get-head-source:
