=== debian/changelog ===
libheif (1.14.0-0.1~mx21+1) mx; urgency=medium

  * New upstream version 1.14.0

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Dec 2022 16:23:52 -0800
